package com.rthoni.stssaguenay.dbo;

import com.luticate.utils.dbo.LuDbo;
import com.luticate.utils.dbo.LuPaginatedDbo;

import org.joda.time.LocalDateTime;

import java.util.List;

/**
 * Created by robin on 10/1/16.
 */

public class SchedulesDbo extends LuDbo {

    public static class SchedulesDboArray extends LuPaginatedDbo<SchedulesDbo>
    {
        public SchedulesDboArray()
        {
            super(SchedulesDbo.class);
        }
    }

    protected String _stopId;

    protected String _routeId;

    protected List<LocalDateTime> _schedules;

    public String getStopId() {
        return _stopId;
    }

    public void setStopId(String stopId) {
        _stopId = stopId;
    }

    public String getRouteId() {
        return _routeId;
    }

    public void setRouteId(String routeId) {
        _routeId = routeId;
    }

    public List<LocalDateTime> getSchedules() {
        return _schedules;
    }

    public void setSchedules(List<LocalDateTime> schedules) {
        _schedules = schedules;
    }
}
