package com.rthoni.stssaguenay.dbo;

import com.luticate.utils.dbo.LuDbo;
import com.luticate.utils.dbo.LuPaginatedDbo;

import java.util.List;

/**
 * Created by robin on 9/29/16.
 */
public class StopsDbo extends LuDbo {

    public static class PaginatedStopsDbo extends LuPaginatedDbo<StopsDbo>
    {
        public PaginatedStopsDbo()
        {
            super(StopsDbo.class);
        }
    }

    protected String _name;

    protected List<String> _routes;

    protected String _id;

    protected double _posX;

    protected double _posY;

    public String getFullName()
    {
        return String.format("%s - %s", _id, _name);
    }

    public String getName() {
        return _name;
    }

    public void setName(String name) {
        _name = name;
    }

    public List<String> getRoutes() {
        return _routes;
    }

    public void setRoutes(List<String> routes) {
        _routes = routes;
    }

    public String getId() {
        return _id;
    }

    public void setId(String id) {
        _id = id;
    }

    public double getPosX() {
        return _posX;
    }

    public void setPosX(double posX) {
        _posX = posX;
    }

    public double getPosY() {
        return _posY;
    }

    public void setPosY(double posY) {
        _posY = posY;
    }
}
